Package org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer

## Interface IModelUpdateStrategyProvider

All Known Implementing Classes:
  `StringAttributeChangeAccessorFactory`

    public interface IModelUpdateStrategyProvider

Provider for `model update strategies`.

### Method Summary

All Methods Instance Methods Abstract Methods
`IModelUpdateStrategy` `getModelUpdateStrategy()` Returns the model update strategy to be used for updating the model.

### Method Detail

#### getModelUpdateStrategy

    IModelUpdateStrategy getModelUpdateStrategy()

Returns the model update strategy to be used for updating the model.

Returns:
  the model update strategy to be used for updating the model.